
Infrastructure - Task #2521

Feature # 2520 (Closed): Search support for FGDC science metadata

Add FGDC science metadata to search index

2012-03-23 16:08 - Skye Roseboom

Status: Closed Start date: 2012-03-23

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Update to the cn_index_processor parsing logic to handle FGDC science metadata documents.

Create xPath rules for mining information from the science metadata documents.   Wire into test framework to verify functionality.

History

#1 - 2012-03-23 16:08 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-03-27 18:37 - Skye Roseboom

- Status changed from In Progress to Closed

Completed.  Added FGDC to cn_index_processor.  Implemented as solr field bean definitions in application-context-fgdc-*.xml files.
